<?php

namespace Comitium5\DesignerBundle\Model\Traits\Layout;



use Comitium5\DesignerBundle\Model\Interfaces\Layout\LayoutInterface;

/**
 * Trait LayoutRelationTrait
 *
 * @author Tomàs Sayes <tomas@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces\Layout\LayoutInterface
 */
trait LayoutRelationTrait
{
	/**
	 * @var LayoutInterface
	 */
	protected $layout;

	/**
	 * @return LayoutInterface
	 */
	public function getLayout()
	{
		return $this->layout;
	}

    /**
     * @param LayoutInterface|null $layout
     * @return self
     */
	public function setLayout(LayoutInterface $layout = null)
	{
		$this->layout = $layout;
		return $this;
	}
}